ADIG(1)

NAME
adig - print information collected from Domain Name System (DNS) servers

SYNOPSIS
adig [OPTION]... NAME...

DESCRIPTION

Send queries to DNS servers about NAME and print received information, where NAME is a valid DNS name (e.g. www.example.com, 1.2.3.10.in-addr.arpa).

This utility comes with the c-ares asynchronous resolver library.

OPTIONS

-c class
    Set the query class. Possible values for class are ANY, CHAOS, HS and IN (default).

-d  Print some extra debugging output.

-f flag
    Add a behavior control flag. Possible values for flag are
     igntc - ignore query truncation, return answer as-is instead of retrying
                 via tcp.
     noaliases - don't honor the HOSTALIASES environment variable,
     norecurse - don't query upstream servers recursively,
     primary - use the first server,
     stayopen - don't close the communication sockets, and
     usevc - always use TCP.

-h, -?
    Display this help and exit.

-s server
    Connect to specified DNS server, instead of the system's default one(s). Servers are tried in round-robin, if the previous one failed.

-t type
    Query records of specified type. Possible values for type are A (default), AAAA, ANY, AXFR, CNAME, HINFO, MX, NAPTR, NS, PTR, SOA, SRV, TXT, URI, CAA, SVCB, and HTTPS.

-T port
    Connect to the specified TCP port of DNS server.

-U port
    Connect to the specified UDP port of DNS server.

REPORTING BUGS
Report bugs to the c-ares mailing list:
https://lists.haxx.se/listinfo/c-ares

SEE ALSO

ahost(1).